Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000372 [Piwigo] template major always 2006.05.08 00:55 2006.05.22 19:25
Reporter rub View Status public  
Assigned To chrisaga
Priority high Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6 branch Product Version BSF branch (dev)
  Target Version Product Build
Summary 0000372: Différences entre les branches BSF et branch-1_6
Description Il y a des différences entre les branches BSF et branch-1_6.

Par exemple dans page_header.php, il y a uniquement dans branch-1_6:
$css = PHPWG_ROOT_PATH.'template/'.$user['template'];
$css.= '/'.$user['template'].'.css';
...
    'T_STYLE' => $css,


Je ne pense pas qu'en ce moment, les 2 branches doivent différentes, ca doit un oubli de merge (mais lequel).
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000951)
chrisaga (developer)
2006.05.15 14:18

L'exemple que tu cite est un simple nettoyage de code inutile depuis longtemps.
Je ne l'ai pas reporté, mais je peux le faire ...

Sur le principe, au niveau des RC, on est sensé faire uniquement des corrections de bugs, donc il n'est pas forcément choquant de constater un début de divergence avec le trunk.
Il est vrai que la partie présentation étant par nature un peu en retard sur les fonctionnalités, il est tentant de faire passer des améliorations plus substentielles ... mais z0rglub est assez strict sur ce sujet ;-)
- j'avais essayé sans succes de faire passer la séparation thème/template dans la 1.5.x -
(0000952)
rub (developer)
2006.05.15 18:30

OK, en fait, je ne savais pas ce que tu avais fait et vu qu'actuellement on reporte tout de la BSF vers la 1.6 et vice et versa.

Ben, en fait, vu ce que tu me décris, fais ce que tu veux.
Dans tout les cas, je te laisse clore la fiche.
(0000974)
chrisaga (developer)
2006.05.22 19:25

références à $css supprimées dans dans page_header.php ([Subversion] r1318)

- Issue History
Date Modified Username Field Change
2006.05.08 00:55 rub New Issue
2006.05.08 00:55 rub Status new => assigned
2006.05.08 00:55 rub Assigned To => chrisaga
2006.05.08 00:55 rub browser => any
2006.05.08 00:55 rub Web server => Apache 1.3.x
2006.05.08 00:57 rub Description Updated
2006.05.15 14:18 chrisaga Note Added: 0000951
2006.05.15 18:30 rub Note Added: 0000952
2006.05.22 19:25 chrisaga Status assigned => closed
2006.05.22 19:25 chrisaga Note Added: 0000974
2006.05.22 19:25 chrisaga Resolution open => fixed
2006.05.22 19:25 chrisaga Fixed in Version => 1.6 branch


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker